Package org.jboss.modules.xml

# Interface ModuleXmlParser.ResourceRootFactory

Enclosing class:
  `ModuleXmlParser`

public static interface ModuleXmlParser.ResourceRootFactory
A factory for resource roots, based on a root path, loader path, and loader name. Normally it is sufficient to accept the default.

## Method Summary

Modifier and Type
Method
Description
`ResourceLoader`
`createResourceLoader(String rootPath, String loaderPath, String loaderName)`
`static ModuleXmlParser.ResourceRootFactory`
`getDefault()`
Get the default resource root factory.

## Method Details

### createResourceLoader

ResourceLoader createResourceLoader(String rootPath, String loaderPath, String loaderName) throws IOException

Throws:
  `IOException`

### getDefault

static ModuleXmlParser.ResourceRootFactory getDefault()
Get the default resource root factory.

Returns:
  the default resource root factory (not `null`)